ID CVE-2008-4558
Summary Array index error in VLC media player 0.9.2 allows remote attackers to overwrite arbitrary memory and execute arbitrary code via an XSPF playlist file with a negative identifier tag, which passes a signed comparison.
References
Vulnerable Configurations
  • cpe:2.3:a:videolan:vlc_media_player:0.9.2:*:*:*:*:*:*:*
    cpe:2.3:a:videolan:vlc_media_player:0.9.2:*:*:*:*:*:*:*
CVSS
Base: 6.8 (as of 11-10-2018 - 20:52)
Impact:
Exploitability:
CWE CWE-399
CAPEC
Access
VectorComplexityAuthentication
NETWORK MEDIUM NONE
Impact
ConfidentialityIntegrityAvailability
PARTIAL PARTIAL PARTIAL
assigner via4 cve@mitre.org
cvss-vector via4 AV:N/AC:M/Au:N/C:P/I:P/A:P
oval via4
accepted 2012-11-19T04:00:16.969-05:00
class vulnerability
contributors
  • name Shane Shaffer
    organization G2, Inc.
  • name Shane Shaffer
    organization G2, Inc.
definition_extensions
comment VLC media player is installed
oval oval:org.mitre.oval:def:11821
description Array index error in VLC media player 0.9.2 allows remote attackers to overwrite arbitrary memory and execute arbitrary code via an XSPF playlist file with a negative identifier tag, which passes a signed comparison.
family windows
id oval:org.mitre.oval:def:14726
status accepted
submitted 2012-01-24T15:20:33.178-04:00
title Array index error in VLC media player 0.9.2
version 6
refmap via4
bid 31758
bugtraq 20081014 CORE-2008-1010: VLC media player XSPF Memory Corruption
exploit-db 6756
misc http://www.coresecurity.com/content/vlc-xspf-memory-corruption
secunia 32267
vupen ADV-2008-2826
xf vlc-parsetracknode-code-execution(45869)
vulnerable_product via4 cpe:2.3:a:videolan:vlc_media_player:0.9.2:*:*:*:*:*:*:*
Last major update 11-10-2018 - 20:52
Published 15-10-2008 - 00:00
Back to Top